Mailinglist Archive: opensuse-security-announce (28 mails)

< Previous Next >
[security-announce] SUSE-SU-2015:1479-1: important: Security update for xen
SUSE Security Update: Security update for xen
______________________________________________________________________________

Announcement ID: SUSE-SU-2015:1479-1
Rating: important
References: #922709 #932996 #935634 #938344 #939709 #939712

Cross-References: CVE-2015-2751 CVE-2015-3259 CVE-2015-4164
CVE-2015-5154 CVE-2015-5165 CVE-2015-5166

Affected Products:
SUSE Linux Enterprise Software Development Kit 11-SP3
SUSE Linux Enterprise Server 11-SP3
SUSE Linux Enterprise Desktop 11-SP3
SUSE Linux Enterprise Debuginfo 11-SP3
______________________________________________________________________________

An update that fixes 6 vulnerabilities is now available.

Description:


xen was updated to fix the following security issues:

* CVE-2015-5165: QEMU leak of uninitialized heap memory in rtl8139 device
model (bsc#939712, XSA-140)
* CVE-2015-5166: Use after free in QEMU/Xen block unplug protocol
(bsc#939709, XSA-139)
* CVE-2015-2751: Certain domctl operations could have be used to lock up
the host (bsc#922709, XSA-127)
* CVE-2015-3259: xl command line config handling stack overflow
(bsc#935634, XSA-137)
* CVE-2015-4164: DoS through iret hypercall handler (bsc#932996, XSA-136)
* CVE-2015-5154: Host code execution via IDE subsystem CD-ROM (bsc#938344)


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11-SP3:

zypper in -t patch sdksp3-xen-12066=1

- SUSE Linux Enterprise Server 11-SP3:

zypper in -t patch slessp3-xen-12066=1

- SUSE Linux Enterprise Desktop 11-SP3:

zypper in -t patch sledsp3-xen-12066=1

- SUSE Linux Enterprise Debuginfo 11-SP3:

zypper in -t patch dbgsp3-xen-12066=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11-SP3 (i586 x86_64):

xen-devel-4.2.5_12-15.1

- SUSE Linux Enterprise Server 11-SP3 (i586 x86_64):

xen-kmp-default-4.2.5_12_3.0.101_0.47.55-15.1
xen-libs-4.2.5_12-15.1
xen-tools-domU-4.2.5_12-15.1

- SUSE Linux Enterprise Server 11-SP3 (x86_64):

xen-4.2.5_12-15.1
xen-doc-html-4.2.5_12-15.1
xen-doc-pdf-4.2.5_12-15.1
xen-libs-32bit-4.2.5_12-15.1
xen-tools-4.2.5_12-15.1

- SUSE Linux Enterprise Server 11-SP3 (i586):

xen-kmp-pae-4.2.5_12_3.0.101_0.47.55-15.1

- SUSE Linux Enterprise Desktop 11-SP3 (i586):

xen-kmp-default-4.2.5_12_3.0.101_0.47.55-15.1
xen-kmp-pae-4.2.5_12_3.0.101_0.47.55-15.1
xen-libs-4.2.5_12-15.1
xen-tools-domU-4.2.5_12-15.1

- SUSE Linux Enterprise Debuginfo 11-SP3 (i586 x86_64):

xen-debuginfo-4.2.5_12-15.1
xen-debugsource-4.2.5_12-15.1


References:

https://www.suse.com/security/cve/CVE-2015-2751.html
https://www.suse.com/security/cve/CVE-2015-3259.html
https://www.suse.com/security/cve/CVE-2015-4164.html
https://www.suse.com/security/cve/CVE-2015-5154.html
https://www.suse.com/security/cve/CVE-2015-5165.html
https://www.suse.com/security/cve/CVE-2015-5166.html
https://bugzilla.suse.com/922709
https://bugzilla.suse.com/932996
https://bugzilla.suse.com/935634
https://bugzilla.suse.com/938344
https://bugzilla.suse.com/939709
https://bugzilla.suse.com/939712

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages